@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@800&family=Work+Sans:wght@700&display=swap');

*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  font-family: 'Work Sans', sans-serif;
  font-size: 1.4rem;
}

input {
  font-size: 1rem;
}

.wrapper {
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-template-rows: repeat(4, max-content);
  place-content: center;
  max-width: 100vw;
}

header {
  grid-column: 1 / 12;
}

.title {
  font-family: 'Open Sans', sans-serif;
  letter-spacing: -3px;
  margin-top: 1rem;
  text-align: center;
}

main {
  grid-column: 1 / 3;
}

.search-bar {
  margin-bottom: 1rem;
  display: flex;
  place-content: center;
  grid-column: 1 / 4;
}

.search-bar input {
  width: 48ch;
  padding: 0.25em;
}

section {
  display: grid;
  grid-template-columns: subgrid;
}

aside {
  grid-template-columns: subgrid;
  grid-column: 2;
  grid-row: 2;
}

.video-list img {
  max-width: 80px;
}

li.list-group-item {
  list-style: none;
}

.video-title {
  font-size: 1rem;
  font-family: 'Work Sans', sans-serif;
}

.video-title:hover {
  text-decoration: underline;
}

.video-detail {
  grid-column: 1 / 2;
}

.video-detail .details {
  padding: 1em;
  border: 1px solid #ddd;
  font-size: 1.4rem;
  font-family: 'Work Sans', sans-serif;
  width: 55ch;
}

.list-group-item {
  cursor: pointer;
}

.list-group-item:hover {
  background-color: #ddd;
}

iframe.embed-responsive-item {
  width: 800px;
  height: 480px;
}

.desc-video {
  font-family: 'Work Sans', sans-serif;
  font-size: 1rem;
}

footer {
  grid-column: 1 / 3;
  text-align: center;
  padding: 1rem 0;
}